import { createOsmClient } from '../integration/geocoding/osm';
import { GeocodingProvider } from '../integration/geocoding/types';
import { createCachedDataProvider } from '../storage/cache';
import { createKeyValueStorage } from '../storage/inMemoryDB';

export const createOsmClientWithCache = (): GeocodingProvider => {
    return {
        geocode: createCachedDataProvider({
            cacheStorage: createKeyValueStorage(20),
            getNewValue: createOsmClient().geocode,
            ttlMs: 86_400_000,
        }),
    };
};
