import { createOsmClient } from './osm';

const sampleAddresses = [
    {
        address: 'Hamburger Str. 273A, 38114 Braunschweig, Germany',
        latitude: 52.28,
        longitude: 10.52,
    },
    {
        address: 'Carrer de Tapioles, 47, 08004 Barcelona, Spain',
        latitude: 41.37,
        longitude: 2.16,
    },
    {
        address: 'Dumlupınar Sk. No:5, 34710 Kadıköy/İstanbul, Türkiye',
        latitude: 40.99,
        longitude: 29.02,
    },
];

describe('createOsmClient', () => {
    const client = createOsmClient();
    for (const sampleAddress of sampleAddresses) {
        it(`resolves ${sampleAddress.address}`, async () => {
            const result = await client.geocode(sampleAddress.address);
            expect(result.latitude).toBeCloseTo(sampleAddress.latitude, 2);
            expect(result.longitude).toBeCloseTo(sampleAddress.longitude, 2);
        });
    }
});
