import { createSamplePackagesRepository } from './samplePackagesRepository';

describe('createSamplePackagesRepository', () => {
    it('returns correct info for FedEx/TN12345683', async () => {
        const client = await createSamplePackagesRepository();
        const result = await client.getPackage('FedEx', 'TN12345683');
        expect(result).toEqual({
            found: true,
            value: {
                SKU: 'HP678',
                articleName: 'Headphones',
                articlePrice: 100,
                articleQuantity: 1,
                carrier: 'FedEx',
                receiverAddress: 'Street 9, 1016 Amsterdam, Netherlands',
                senderAddress: 'Street 4, 50667 Cologne, Germany',
                status: 'transit',
                trackingNumber: 'TN12345683',
            },
        });
    });
    it('does not return info for DHL/TN12345683', async () => {
        const client = await createSamplePackagesRepository();
        const result = await client.getPackage('DHL', 'TN12345683');
        expect(result).toEqual({
            found: false,
        });
    });
});
